package com.cootek.touchlife.request;

import com.cootek.touchlife.ApiException;
import com.cootek.touchlife.Constants;
import com.cootek.touchlife.TouchlifeRequest;
import com.cootek.touchlife.util.CheckUtils;
import com.cootek.touchlife.response.AccountUserProfileResponse;

import java.util.HashMap;
import java.util.Map;

public class AccountUserProfileRequest implements TouchlifeRequest<AccountUserProfileResponse> {

    private String accessToken;
    private Map<String, Object> apiParams = new HashMap<String, Object>();

    @Override
	public String getApiPath() {
        return "/user/profile";
    }

    @Override
    public String getSignType() {
        return Constants.SIGN_TYPE_MD5;
    }

    @Override
    public boolean needSellerId() {
        return false;
    }

    @Override
	public Map<String, Object> getApiParams() {
        return this.apiParams;
    }

    @Override
	public Class<AccountUserProfileResponse> getResponseClass() {
        return AccountUserProfileResponse.class;
    }

    @Override
	public void check() throws ApiException {
        CheckUtils.checkNotEmpty(this.accessToken, "accessToken");
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
        this.apiParams.put("accessToken", accessToken);
    }

    public String getAccessToken() {
        return this.accessToken;
    }
}

