package com.cootek.touchlife.response;

import com.cootek.touchlife.Constants;
import com.cootek.touchlife.TouchlifeResponse;

import java.util.Date;
import java.util.TimeZone;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.text.ParseException;


public class TradePayResultResponse extends TouchlifeResponse {

    public enum TradeStatus {
        TRADE_CREATE,
        TRADE_DEALING,
        TRADE_SUCCESS,
        TRADE_FINISH,
        TRADE_CLOSED,
        TRADE_UNKNOWN,
    }

	public String getPaymentType() {
		return (String)getField("paymentType");
	}

	public String getTradeNo() {
		return (String)getField("tradeNo");
	}

	public String getTradeService() {
		return (String)getField("tradeService");
	}

	public String getTradeName() {
		return (String)getField("tradeName");
	}

	public String getTradeDesc() {
		return (String)getField("tradeDesc");
	}

	public Long getTotalFee() {
		return new Long((Integer)getField("totalFee"));
	}

	public Long getCashFee() {
		return new Long((Integer)getField("cashFee"));
	}

	public Long getSettleFee() {
		return new Long((Integer)getField("settleFee"));
	}

	public String getTransactionId() {
		return (String)getField("transactionId");
	}

	public Date getNotifyTime() {
        DateFormat format = new SimpleDateFormat(Constants.DATE_TIME_FORMAT);
        format.setTimeZone(TimeZone.getTimeZone(Constants.DATE_TIMEZONE));
        try {
            return format.parse((String)getField("notifyTime"));
        } catch (ParseException e) {
            return null;
		}
	}

	public String getNotifyId() {
		return (String)getField("notifyId");
	}

	public Date getTradeCreateTime() {
        DateFormat format = new SimpleDateFormat(Constants.DATE_TIME_FORMAT);
        format.setTimeZone(TimeZone.getTimeZone(Constants.DATE_TIMEZONE));
        try {
            return format.parse((String)getField("tradeCreateTime"));
        } catch (ParseException e) {
            return null;
		}
	}

	public Date getTradeSuccessTime() {
        DateFormat format = new SimpleDateFormat(Constants.DATE_TIME_FORMAT);
        format.setTimeZone(TimeZone.getTimeZone(Constants.DATE_TIMEZONE));
        try {
            return format.parse((String)getField("tradeSuccessTime"));
        } catch (ParseException e) {
            return null;
		}
	}

	public TradeStatus getTradeStatus() {
        try {
		    return TradeStatus.valueOf((String)getField("tradeStatus"));
        } catch (Exception e) {
            return TradeStatus.TRADE_UNKNOWN;
        }
	}

	public String getAttach() {
		return (String)getField("attach");
	}
}

