package com.cootek.touchlife.response;

import com.cootek.touchlife.Constants;
import com.cootek.touchlife.TouchlifeResponse;

import java.util.Date;
import java.util.TimeZone;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.text.ParseException;


public class TradeRefundResultResponse extends TouchlifeResponse {

    public enum RefundStatus {
        REFUND_PROCESSING,
        REFUND_SUCCESS,
        REFUND_FAIL,
        REFUND_UNKNOWN,
    }

	public String getTransactionId() {
		return (String)getField("transactionId");
	}

	public String getRefundNo() {
		return (String)getField("refundNo");
	}

	public String getRefundId() {
		return (String)getField("refundId");
	}

	public Long getTotalFee() {
		return ((Double)getField("totalFee")).longValue();
	}

	public Long getCashFee() {
		return ((Double)getField("cashFee")).longValue();
	}

	public Long getRefundFee() {
		return ((Double)getField("refundFee")).longValue();
	}

	public RefundStatus getRefundStatus() {
        try {
		    return RefundStatus.valueOf((String)getField("refundStatus"));
        } catch (Exception e) {
            return RefundStatus.REFUND_UNKNOWN;
        }
	}
}

