package com.cootek.touchlife.util;

import com.cootek.touchlife.ApiException;
import com.cootek.touchlife.Constants;

public class CheckUtils {

	public static void checkNotEmpty(Object value, String fieldName) throws ApiException {
		if (value == null) {
			throw new ApiException(Constants.ERROR_CODE_ARGUMENTS_MISSING, "client-error:Missing required arguments:" + fieldName + "");
		}
		if (value instanceof String) {
			if (((String) value).trim().length() == 0) {
				throw new ApiException(Constants.ERROR_CODE_ARGUMENTS_MISSING, "client-error:Missing required arguments:" + fieldName + "");
			}
		}
	}

	public static void checkMaxLength(String value, int maxLength, String fieldName) throws ApiException {
		if (value != null) {
			if (value.length() > maxLength) {
				throw new ApiException(Constants.ERROR_CODE_ARGUMENTS_INVALID, "client-error:Invalid arguments:the string length of " + fieldName + " can not be larger than " + maxLength + ".");
			}
		}
	}

	public static void checkMaxValue(Long value, long maxValue, String fieldName) throws ApiException {
		if (value != null) {
			if (value > maxValue) {
				throw new ApiException(Constants.ERROR_CODE_ARGUMENTS_INVALID, "client-error:Invalid arguments:the value of " + fieldName + " can not be larger than " + maxValue + ".");
			}
		}
	}

	public static void checkMinValue(Long value, long minValue, String fieldName) throws ApiException {
		if (value != null) {
			if (value < minValue) {
				throw new ApiException(Constants.ERROR_CODE_ARGUMENTS_INVALID, "client-error:Invalid arguments:the value of " + fieldName + " can not be less than " + minValue + ".");
			}
		}
	}

	public static void checkMaxValue(Double value, double maxValue, String fieldName) throws ApiException {
		if (value != null) {
			if (value > maxValue) {
				throw new ApiException(Constants.ERROR_CODE_ARGUMENTS_INVALID, "client-error:Invalid arguments:the value of " + fieldName + " can not be larger than " + maxValue + ".");
			}
		}
	}

	public static void checkMinValue(Double value, double minValue, String fieldName) throws ApiException {
		if (value != null) {
			if (value < minValue) {
				throw new ApiException(Constants.ERROR_CODE_ARGUMENTS_INVALID, "client-error:Invalid arguments:the value of " + fieldName + " can not be less than " + minValue + ".");
			}
		}
	}
}

