﻿
namespace Touchlife.Api
{
    public class Constants
    {
        /// <summary>
        /// Touchlife默认时间格式
        /// </summary>
        public const string DATE_TIME_FORMAT = "yyyyMMddHHmmss";

        /// <summary>
        /// Date默认时区
        /// </summary>
        public const string DATE_TIMEZONE = "GMT+8";

        /// <summary>
        /// API版本号
        /// </summary>
        public const string API_VERSION = "1.1";

        /// <summary>
        /// UTF-8字符集
        /// </summary>
        public const string CHARSET_UTF8 = "UTF-8";

        /// <summary>
        /// MD5签名方式
        /// </summary>
        public const string SIGN_TYPE_MD5 = "MD5";

        /// <summary>
        /// RSA签名方式
        /// </summary>
        public const string SIGN_TYPE_RSA = "RSA";

        /// <summary>
        /// RSA签名算法
        /// </summary>
        public const string SIGN_ALGORITHMS = "SHA1WithRSA";

        /// <summary>
        /// SDK版本号
        /// </summary>
        public const string SDK_VERSION = "20150704";
        
        /// <summary>
        /// 响应参数result success
        /// </summary>
        public const string RESULT_SUCCESS = "SUCCESS";
        
        /// <summary>
        /// 响应参数result failed
        /// </summary>
        public const string RESULT_FAIL = "FAIL";

        /// <summary>
        /// 响应编码
        /// </summary>
        public const string CONTENT_ENCODING_GZIP = "gzip";

        /// <summary>
        /// 客户端检测错误码(包含request参数错误和response参数错误)
        /// ERROR_CODE_ARGUMENTS_MISSING
        /// </summary>
        public const string ERROR_CODE_ARGUMENTS_MISSING = "1";
        
        /// <summary>
        /// 客户端检测错误码(包含request参数错误和response参数错误)
        /// ERROR_CODE_ARGUMENTS_INVALID
        /// </summary>
        public const string ERROR_CODE_ARGUMENTS_INVALID = "2";

        /// <summary>
        /// 客户端检测错误码(包含request参数错误和response参数错误)
        /// ERROR_CODE_SIGNATURE_INVALID
        /// </summary>
        public const string ERROR_CODE_SIGNATURE_INVALID = "3";

        /** 服务端返回错误码 */
        //2000 ~ 2999 访问成功
        //4000 ~ 4999 客户端错误(如缺少必选参数、accessToken未授权等)
        //5000 ~ 5999 服务器内部错误
    } 
}

