﻿using System;
using System.Collections;
using System.Collections.Generic;


namespace Touchlife.Api
{
	/// <summary>
	/// 用户信息请求类
	/// </summary>
	public class AccountUserProfileRequest : ITouchlifeRequest<AccountUserProfileResponse>
	{
		private string accessToken;
		
		public  string AccessToken
		{
			get
			{
				return this.accessToken;
			}
			set
			{
				this.accessToken = value;
				Parameters["accessToken"] = value;
			}
		}
		
		public IDictionary<string, object> Parameters{get; set;}
		
		public AccountUserProfileRequest()
		{
			this.Parameters = new Dictionary<string, object>();
//			this.AccessToken = string.Empty;
		}
		public AccountUserProfileRequest(string accessToken)
		{
			this.Parameters = new Dictionary<string, object>();
			this.AccessToken = accessToken;
		}
		
		public bool NeedSellerId 
		{
			get 
			{
				return false;
			}
		}
		
		public string GetApiPath()
		{
        	return "/user/profile";
		}
		
		public string GetSignType()
		{
			return Constants.SIGN_TYPE_MD5;
		}
		
		public IDictionary<string, object> GetParameters()
		{
			return this.Parameters;
		}
		
		public Type GetResponseType()
		{
			return this.GetType();
		}
		
		public void Validate()
		{
		}
	}
}
