﻿using System;

namespace Touchlife.Api
{
	/// <summary>
	/// 订单查询应答类
	/// </summary>
	public class OrderOrderQueryResponse : TouchlifeResponse
	{	
		public string OrderId
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("orderId"))
				{
					return string.Empty;
				}
				return Parameters["orderId"].ToString();
			}
		}
		
		public string OrderService
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("orderService"))
				{
					return string.Empty;
				}
				return Parameters["orderService"].ToString();
			}
		}
		
		public string OrderTitle
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("orderTitle"))
				{
					return string.Empty;
				}
				return Parameters["orderTitle"].ToString();
			}
		}
		
		public string OrderShortInfo
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("orderShortInfo"))
				{
					return string.Empty;
				}
				return Parameters["orderShortInfo"].ToString();
			}
		}
		
		public string OrderStatus
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("orderStatus"))
				{
					return string.Empty;
				}
				return Parameters["orderStatus"].ToString();
			}
		}
		
		public string OrderUrl
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("orderUrl"))
				{
					return string.Empty;
				}
				return Parameters["orderUrl"].ToString();
			}
		}
		
		public string TradeStatus
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("tradeStatus"))
				{
					return string.Empty;
				}
				return Parameters["tradeStatus"].ToString();
			}
		}
		
		public DateTime OrderCreateTime
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("orderCreateTime"))
				{
					return DateTime.MinValue;
				}
				try
				{
					return Convert.ToDateTime(Parameters["orderCreateTime"]);
				}
				catch
				{
					return DateTime.MinValue;
				}
			}
		}
		
		public DateTime OrderFinishTime
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("orderFinishTime"))
				{
					return DateTime.MinValue;
				}
				try
				{
					return Convert.ToDateTime(Parameters["orderFinishTime"]);
				}
				catch
				{
					return DateTime.MinValue;
				}
			}
		}
		
		
		public OrderOrderQueryResponse()
		{
		}
	}
}
