﻿using System;

namespace Touchlife.Api
{
	/// <summary>
	/// 创建订单应答类
	/// </summary>
	public class TradePayCreateResponse : TouchlifeResponse
	{
		public string TransactionId
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("transactionId"))
				{
					return string.Empty;
				}
				return Parameters["transactionId"].ToString();
			}
		}
		public TradePayResultResponse.TradeStatus TradeStatus
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("tradeStatus"))
				{
					throw new ApiException("parameters null");
				}
				try
				{
					var status = Parameters["tradeStatus"];
					return (TradePayResultResponse.TradeStatus)Enum.Parse(typeof(TradePayResultResponse.TradeStatus), status.ToString());
				}
				catch
				{
					return TradePayResultResponse.TradeStatus.TRADE_UNKNOWN;
				}
			}
		}
		
		public string PayStr
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("payStr"))
				{
					return string.Empty;
				}
				return Parameters["payStr"].ToString();
			}
		}
				
		public TradePayCreateResponse()
		{
		}
	}
}
