﻿using System;

namespace Touchlife.Api
{
	/// <summary>
	/// Description of TradePayResultResponse.
	/// </summary>
	public class TradePayResultResponse : TouchlifeResponse
	{
		public enum TradeStatus 
		{
	        TRADE_CREATE,
	        TRADE_DEALING,
	        TRADE_SUCCESS,
	        TRADE_FINISH,
	        TRADE_CLOSED,
	        TRADE_UNKNOWN
		}
		
		public string PaymentType
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("paymentType"))
				{
					return string.Empty;
				}
				return Parameters["paymentType"].ToString();
			}
		}
		
		public string TradeNo
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("tradeNo"))
				{
					return string.Empty;
				}
				return Parameters["tradeNo"].ToString();
			}
		}
		
		public string TradeService
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("tradeService"))
				{
					return string.Empty;
				}
				return Parameters["tradeService"].ToString();
			}
		}
		
		public string TradeName
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("tradeName"))
				{
					return string.Empty;
				}
				return Parameters["tradeName"].ToString();
			}
		}
		
		public string TradeDesc
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("tradeDesc"))
				{
					return string.Empty;
				}
				return Parameters["tradeDesc"].ToString();
			}
		}
		
		public long TotalFee
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("totalFee"))
				{
					return 0L;
				}
				return Convert.ToInt64(Parameters["totalFee"]);
			}
		}
		
		public long CashFee
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("cashFee"))
				{
					return 0L;
				}
				return Convert.ToInt64(Parameters["cashFee"]);
			}
		}
		
		public long SettleFee
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("settleFee"))
				{
					return 0L;
				}
				return Convert.ToInt64(Parameters["settleFee"]);
			}
		}
		
		public string TransactionId
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("transactionId"))
				{
					return string.Empty;
				}
				return Parameters["transactionId"].ToString();
			}
		}
		
		public TradePayResultResponse()
		{
		}
	}
}
