﻿using System;

namespace Touchlife.Api
{
	/// <summary>
	/// 退款应答类
	/// </summary>
	public class TradeRefundApplyResponse : TouchlifeResponse
	{
		public string RefundId
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("refundId"))
				{
					return string.Empty;
				}
				return Parameters["refundId"].ToString();
			}
		}
		
		public TradeRefundResultResponse.RefundStatus RefundStatus
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("refundStatus"))
				{
					throw new ApiException("parameters null");
				}
				try
				{
					var status = Parameters["refundStatus"];
					return (TradeRefundResultResponse.RefundStatus)Enum.Parse(typeof(TradeRefundResultResponse.RefundStatus), status.ToString());
				}
				catch
				{
					return TradeRefundResultResponse.RefundStatus.REFUND_UNKNOWN;
				}
			}
		}
		
		public TradeRefundApplyResponse()
		{
		}
	}
}
