﻿using System;

namespace Touchlife.Api
{
	/// <summary>
	/// Description of TradeRefundResultResponse.
	/// </summary>
	public class TradeRefundResultResponse : TouchlifeResponse
	{
		public enum RefundStatus 
		{
	        REFUND_PROCESSING,
	        REFUND_SUCCESS,
	        REFUND_FAIL,
	        REFUND_UNKNOWN
		}
		public string TransactionId
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("transactionId"))
				{
					return string.Empty;
				}
				return Parameters["transactionId"].ToString();
			}
		}

		public string RefundNo
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("refundNo"))
				{
					return string.Empty;
				}
				return Parameters["refundNo"].ToString();
			}
		}	

		public string RefundId
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("refundId"))
				{
					return string.Empty;
				}
				return Parameters["refundId"].ToString();
			}
		}

		public long TotalFee
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("totalFee"))
				{
					return 0L;
				}
				return Convert.ToInt64(Parameters["totalFee"]);
			}
		}
		
		public long CashFee
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("cashFee"))
				{
					return 0L;
				}
				return Convert.ToInt64(Parameters["cashFee"]);
			}
		}
		
		public long RefundFee
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("refundFee"))
				{
					return 0L;
				}
				return Convert.ToInt64(Parameters["refundFee"]);
			}
		}
		
		public RefundStatus getRefundStatus() 
		{
			if(null == Parameters || !Parameters.ContainsKey("refundStatus"))
			{
				throw new ApiException("parameters null");
			}
			try
			{
				var status = Parameters["refundStatus"];
				return (RefundStatus)Enum.Parse(typeof(RefundStatus), status.ToString());
			}
			catch
			{
				return RefundStatus.REFUND_UNKNOWN;
			}
		}
		
		public TradeRefundResultResponse()
		{
		}
	}
}
