﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Web.Script.Serialization;

namespace Touchlife.Api
{
	/// <summary>
	/// TouchLife 返回基类
	/// </summary>
    [Serializable]
    public abstract class TouchlifeResponse
    {
        private const string RESULT = "result";
        private const string ERROR_CODE = "errorCode";
        private const string ERROR_MESSAGE = "errorMessage";
        
        /// <summary>
        /// 返回值主体
        /// </summary>
        public string Body{get; set;}
        
        /// <summary>
        /// 返回值参数
        /// </summary>
        public IDictionary<string, object> Parameters { get; set; }

        /// <summary>
        /// 验证返回值
        /// </summary>
        public void ParseFrom() 
        {
            if (string.IsNullOrEmpty(this.Body))
            {
                return;
            }

			JavaScriptSerializer serializer = new JavaScriptSerializer();
			Parameters = (Dictionary<string, object>)serializer.DeserializeObject(this.Body);
			
			object resultStr;
			object errorCode;
			object errorMsg;
			
			Parameters.TryGetValue(RESULT, out resultStr);
			
			if(!Constants.RESULT_SUCCESS.Equals(resultStr.ToString()))
			{
				Parameters.TryGetValue(ERROR_CODE, out errorCode);
				Parameters.TryGetValue(ERROR_MESSAGE, out errorMsg);
				throw new ApiException(errorCode.ToString(), errorMsg.ToString());
			}
			
        }
    }
}

