<?php
class CheckUtil
{
	public static function checkNotNull($value,$fieldName) {
		if(self::checkEmpty($value)){
			throw new Exception("check-error:Missing Required Arguments: " .$fieldName , 1);
		}
	}

	public static function checkMaxLength($value,$maxLength,$fieldName){		
		if(!self::checkEmpty($value) && mb_strlen($value , "UTF-8") > $maxLength){
			throw new Exception("check-error:Invalid Arguments:the length of " .$fieldName . " can not be larger than " . $maxLength . "." , 2);
		}
	}

	public static function checkMaxValue($value,$maxValue,$fieldName){	

		if(self::checkEmpty($value))
			return ;

		self::checkNumeric($value,$fieldName);

		if($value > $maxValue){
		    throw new Exception("check-error:Invalid Arguments:the value of " . $fieldName . " can not be larger than " . $maxValue ." ." , 2);
		}
	}

	public static function checkMinValue($value,$minValue,$fieldName) {
		
		if(self::checkEmpty($value))
			return ;

		self::checkNumeric($value,$fieldName);
		
		if($value < $minValue){
			throw new Exception("check-error:Invalid Arguments:the value of " . $fieldName . " can not be less than " . $minValue . " ." , 2);
		}
	}

	protected static function checkNumeric($value,$fieldName) {
		if(!is_numeric($value)){
			throw new Exception("check-error:Invalid Arguments:the value of " . $fieldName . " is not number : " . $value . " ." , 2);
        }
	}

	public static function checkEmpty($value) {
		if(!isset($value))
			return true ;
		if($value === null )
			return true;
		if(trim($value) === "")
			return true;
		
		return false;
	}
}
?>
