<?php

class TradePayCreateRequest
{
    private $accessToken;
    private $userId;
	private $notifyUrl;
	private $tradeNo;
	private $tradeService;
	private $tradeName;
	private $tradeDesc;
	private $totalFee;
	private $expireTime;
	private $attach;
	private $tradeStr;
	private $apiParams = array();

	public function setAccessToken($accessToken)
	{
		$this->accessToken = $accessToken;
		$this->apiParams["accessToken"] = $accessToken;
	}

	public function getAccessToken()
	{
		return $this->accessToken;
	}

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParams["userId"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

    public function setNotifyUrl($notifyUrl)
    {
        $this->notifyUrl = $notifyUrl;
		$this->apiParams["notifyUrl"] = $notifyUrl;
    }

	public function getNotifyUrl()
	{
		return $this->notifyUrl;
	}

    public function setTradeNo($tradeNo)
    {
        $this->tradeNo = $tradeNo;
		$this->apiParams["tradeNo"] = $tradeNo;
    }

	public function getTradeNo()
	{
		return $this->tradeNo;
	}

    public function setTradeService($tradeService)
    {
        $this->tradeService = $tradeService;
		$this->apiParams["tradeService"] = $tradeService;
    }

	public function getTradeService()
	{
		return $this->tradeService;
	}

    public function setTradeName($tradeName)
    {
        $this->tradeName = $tradeName;
		$this->apiParams["tradeName"] = $tradeName;
    }

	public function getTradeName()
	{
		return $this->tradeName;
	}

    public function setTradeDesc($tradeDesc)
    {
        $this->tradeDesc = $tradeDesc;
		$this->apiParams["tradeDesc"] = $tradeDesc;
    }

	public function getTradeDesc()
	{
		return $this->tradeDesc;
	}

    public function setTotalFee($totalFee)
    {
        $this->totalFee = $totalFee;
		$this->apiParams["totalFee"] = $totalFee;
    }

	public function getTotalFee()
	{
		return $this->totalFee;
	}

    public function setExpireTime($expireTime)
    {
        $this->expireTime = $expireTime;
		$this->apiParams["expireTime"] = $expireTime;
    }

	public function getExpireTime()
	{
		return $this->expireTime;
	}


    public function setAttach($attach)
    {
        $this->attach = $attach;
		$this->apiParams["attach"] = $attach;
    }

	public function getAttach()
	{
		return $this->attach;
	}

    public function setTradeStr($tradeStr)
    {
        $this->tradeStr = $tradeStr;
		$this->apiParams["tradeStr"] = $tradeStr;
    }

	public function getTradeStr()
	{
		return $this->tradeStr;
	}

	public function getApiPath()
	{
		return "/pay/create";
	}

	public function getSignType()
	{
		return "RSA";
	}

	public function getApiParas()
	{
		return $this->apiParams;
	}

	public function check()
	{
        CheckUtil::checkNotNull($this->userId, "userId");
        CheckUtil::checkNotNull($this->notifyUrl, "notifyUrl");
        CheckUtil::checkMaxLength($this->notifyUrl, 1024, "notifyUrl");
        CheckUtil::checkNotNull($this->tradeNo, "tradeNo");
        CheckUtil::checkMaxLength($this->tradeNo, 64, "tradeNo");
        CheckUtil::checkNotNull($this->tradeService, "tradeService");
        CheckUtil::checkMaxLength($this->tradeService, 64, "tradeService");
        CheckUtil::checkNotNull($this->tradeName, "tradeName");
        CheckUtil::checkMaxLength($this->tradeName, 128, "tradeName");
        CheckUtil::checkNotNull($this->tradeDesc, "tradeDesc");
        CheckUtil::checkMaxLength($this->tradeDesc, 128, "tradeDesc");
        CheckUtil::checkNotNull($this->totalFee, "totalFee");
        CheckUtil::checkMaxValue($this->totalFee, 100000000.00, "totalFee");
        CheckUtil::checkMinValue($this->totalFee, 0.01, "totalFee");
        CheckUtil::checkNotNull($this->tradeStr, "tradeStr");
	}
}

